#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	A cross-platform library for parsing flash media stream
Summary(pl.UTF-8):	Wieloplatformowa biblioteka do analizy flashowych strumieni multimedialnych
Name:		libquvi-0.4
Version:	0.4.1
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/quvi/libquvi-%{version}.tar.xz
# Source0-md5:	acc5a5da25a7f89c6ff5338d00eaaf58
Patch0:		%{name}-automake-1.12.patch
URL:		http://quvi.sourceforge.net/
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	curl-devel >= 7.18.2
BuildRequires:	libquvi-scripts-0.4 >= 0.4.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	lua51-devel >= 5.1
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	curl-libs >= 7.18.2
Requires:	libquvi-scripts-0.4 >= 0.4.0
Obsoletes:	libquvi < 0.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libquvi is a cross-platform library for parsing flash media stream.

%description -l pl.UTF-8
libquvi to wieloplatformowa biblioteka do analizy flashowych strumieni
multimedialnych.

%package devel
Summary:	Header files for libquvi library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libquvi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	lua51-devel
Obsoletes:	libquvi-devel < 0.9

%description devel
Header files for libquvi library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libquvi.

%package static
Summary:	Static libquvi library
Summary(pl.UTF-8):	Statyczna biblioteka libquvi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libquvi-static < 0.9

%description static
Static libquvi library.

%description static -l pl.UTF-8
Statyczna biblioteka libquvi.

%prep
%setup -q -n libquvi-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

# libquiv 0.9 version is packaged in libquvi.spec
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man3/libquvi.3

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libquvi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libquvi.so.7

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libquvi.so
%{_includedir}/quvi
%{_pkgconfigdir}/libquvi.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libquvi.a
%endif
%changelog
* Sat Dec 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libquvi-0.4.git;a=log;h=master

* Sat Dec 26 2015 Jakub Bogusz <qboosh@pld-linux.org> cca5bf1
- fixed License of 0.4 series
- Obsoletes for libquvi < 0.9
- release 2

* Sat Dec 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 29fca91
- libquvi 0.4 for older software and license compatibility (e.g. ffmpeg)

* Fri Dec 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 8efd659
- updated to 0.9.4 (note: new soname and .pc file version)
- removed obsolete automake-1.12 patch

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> c9a6a76
- x32 rebuild
- release 2 (by relup.sh)

* Fri Oct 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 88480b3
- pl

* Sun Jun 24 2012 Marcin Banasiak <marcin.banasiak@gmail.com> b19133f
- fixes build with automake 1.12

* Sun Jun 24 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 89448da
- new

